# Class Facet

java.lang.Object
org.gradle.plugins.ide.eclipse.model.Facet

public class Facet extends Object
A project facet.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Facet.FacetType`
An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

## Constructor Summary

Constructors
Constructor
Description
`Facet()`
`Facet(Node node)`
`Facet(String name, String version)`
`Facet(Facet.FacetType type, String name, String version)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendNode(Node node)`
`boolean`
`equals(Object o)`
`String`
`getName()`
`Facet.FacetType`
`getType()`
`String`
`getVersion()`
`int`
`hashCode()`
`void`
`setName(String name)`
`void`
`setType(Facet.FacetType type)`
`void`
`setVersion(String version)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Facet

public Facet()

### Facet

public Facet(Node node)

### Facet

public Facet(String name, String version)

### Facet

public Facet(Facet.FacetType type, String name, String version)

## Method Details

### getType

public Facet.FacetType getType()

### setType

public void setType(Facet.FacetType type)

### getName

public String getName()

### setName

public void setName(String name)

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### appendNode

public void appendNode(Node node)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`